import datetime

from portal.async_celery import celery_app


@celery_app.on_after_configure.connect
def setup_periodic_tasks(sender, **kwargs):
    sender.add_periodic_task(30*60,
                             abort_non_proc_submissions.s(
                                 datetime.timedelta(hours=2)
                             ),
                             name='Abort non processed submissions after 2 hours')


@celery_app.task
def abort_non_proc_submissions(limit):
    from portal.async_celery.async_manager import AsyncManager
    mgr = AsyncManager()
    mgr.abort_submissions_sched_exceeded(limit)
    mgr.abort_submission_proc_exceeded(limit)
    mgr.abort_submission_checkout_exceeded(limit)
